Deployment (Apache Geode 1.15.4)

org.apache.geode.management.configuration

## Class Deployment

- java.lang.Object
- - org.apache.geode.management.configuration.AbstractConfiguration<R>
  - - org.apache.geode.management.configuration.GroupableConfiguration<DeploymentInfo>
    - - org.apache.geode.management.configuration.Deployment

- All Implemented Interfaces:
    Serializable, Identifiable<String>, JsonSerializable, HasFile

      public class Deployment
      extends GroupableConfiguration<DeploymentInfo>
      implements HasFile

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEPLOYMENT_ENDPOINT`

    - ### Fields inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `CLUSTER`

    - ### Fields inherited from interface org.apache.geode.management.configuration.HasFile

      `CONFIG_PARAM, FILE_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Deployment()`
    `Deployment(Deployment deployment, File jarFile)`
    `Deployment(String jarFileName, String deployedBy, String deployedTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `CommandType` | `getCreationCommandType()`
    `String` | `getDeployedBy()`
    `String` | `getDeployedTime()`
    `File` | `getFile()`
    `String` | `getFileName()`
    `String` | `getFilePath()`
    `String` | `getId()` Returns the attribute of the configuration that uniquely identifies it
    `Links` | `getLinks()`
    `int` | `hashCode()`
    `void` | `setDeployedBy(String deployedBy)` For internal use only
    `void` | `setDeployedTime(String deployedTime)` For internal use only
    `void` | `setFile(File file)`
    `void` | `setFileName(String jarFileName)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.geode.management.configuration.GroupableConfiguration

      `getGroup, setGroup`

    - ### Methods inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `getGroupName, isCluster, isGlobalRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Field Detail

    - #### DEPLOYMENT_ENDPOINT

          public static final String DEPLOYMENT_ENDPOINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Deployment

          public Deployment()

    - #### Deployment

          public Deployment(String jarFileName,
                            String deployedBy,
                            String deployedTime)

    - #### Deployment

          public Deployment(Deployment deployment,
                            File jarFile)

  - ### Method Detail

    - #### getFile

          public File getFile()

      Specified by:
        `getFile` in interface `HasFile`

    - #### getFilePath

          public String getFilePath()

    - #### setFile

          public void setFile(File file)

      Specified by:
        `setFile` in interface `HasFile`

    - #### getId

          public String getId()

      Description copied from class: `AbstractConfiguration`
      Returns the attribute of the configuration that uniquely identifies it
      Specified by:
        `getId` in interface `Identifiable<String>`
      Specified by:
        `getId` in class `AbstractConfiguration<DeploymentInfo>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### getFileName

          public String getFileName()

      Specified by:
        `getFileName` in interface `HasFile`

    - #### setFileName

          public void setFileName(String jarFileName)

    - #### getDeployedTime

          public String getDeployedTime()

    - #### setDeployedTime

          public void setDeployedTime(String deployedTime)

      For internal use only
      Parameters:
        `deployedTime` - the deployed time value

    - #### getDeployedBy

          public String getDeployedBy()

    - #### setDeployedBy

          public void setDeployedBy(String deployedBy)

      For internal use only
      Parameters:
        `deployedBy` - the deployed by value

    - #### getLinks

          public Links getLinks()

      Specified by:
        `getLinks` in class `AbstractConfiguration<DeploymentInfo>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `GroupableConfiguration<DeploymentInfo>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GroupableConfiguration<DeploymentInfo>`

    - #### getCreationCommandType

          public CommandType getCreationCommandType()

      Overrides:
        `getCreationCommandType` in class `AbstractConfiguration<DeploymentInfo>`